| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::StringStringMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QString, QString >.

## Public Member Functions

| StringStringMap ()
| StringStringMap (const QMap< QString, QString > &a)
StringStringMap & | operator= (const QMap< QString, QString > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QString, QString>, but needed to have a discrete type in the Qt type system.

A mapping from strings to strings representing extra key-value pairs.

## Constructor & Destructor Documentation

Tp::StringStringMap::StringStringMap | ( |  | ) |

inline

Tp::StringStringMap::StringStringMap | ( | const QMap< QString, QString > & | a | ) |

inline

## Member Function Documentation

StringStringMap& Tp::StringStringMap::operator= | ( | const QMap< QString, QString > & | a | ) |

inline